Installation d'Apache 2.0 et PHP 5.1

06/11/2006 - 28658 consultations - 0 commentaire


Tutoriel d'installation d'Apache 2.0 et PHP 5.1 sous Debian Sarge à partir des paquets backports.org

Ceci vous présente comment installer Apache 2.0 et PHP 5.1 sous Debian Sarge à partir des paquets backports.org

Ajouter le dépôt backports aux sources de paquets :
echo deb http://www.backports.org/debian sarge-backports main contrib non-free >> /etc/apt/sources.list

Mise à jour de la liste des paquets :
apt-get update

Installation de Apache 2 :
apt-get install apache2

Installation de Php 5 :
apt-get install php5

Php5 est disponible en tant que module, si vous voulez utiliser php pour vous connecter à MySQL, vous devez :
     - Installer mysql comme dans ce tutoriel : http://www.xenetis.org/installation_mysql_5_sous_debian.html
     - Puis installer le module php5-mysql :
apt-get install php5-mysql

Pour lister tous les modules PHP5 disponible :
dpkg -l "*php5*"

Le fichier de configuration standard d'apache 2 est : /etc/apache2/apache2.conf

Le fichier de configuration standard de php5 est : /etc/php5/apache2/php.ini

Pour aller plus loin dans la configuration d'apache, un futur tutoriel consacré à la configuration d'Apache 2 sera bientôt disponible

Commentez cet article

Nom (obligatoire)
E-mail (obligatoire)
Site Internet (facultatif)
code anti-spam

Me tenir inform� des nouveaux messages


terminal.pngServeur ftp proftpd avec utilisateurs virtuels sous linux debian ubuntu
Ce tutoriel vous présente comment installer le serveur ftp proftpd à partir des paquets debian. Pour éviter de créer autant d'utilisateurs Linux que de compte FTP il est possible de créer des utilisateurs virtuels seulement disponibles pour le serveur FTP
java.pngInstallation Tomcat et JDK de Sun
Tutoriel d'installation de Tomcat sous Debian avec la jdk de Sun à partir des packages Sun et Tomcat dernières version stable
encrypted.pngCorriger l'erreur There is no public key available for the following key IDs après apt-get update
Ce mini tutoriel vous explique comment corriger l'erreur There is no public key available for the following key IDs
encrypted.pngConnexion ssh sous debian etch et lenny avec clé publique - privée
Ce tutoriel vous présente comment vous connecter sur votre serveur Debian (Etch et Lenny) en ssh, scp, sftp à partir de Windows avec clé publique privée (sans avoir à taper de mot de passe)
terminal.pngCréer un dépôt git privé sur un hébergement mutualisé ovh
Ce tutoriel vous présente comment installer un dépôt GIT sur votre hébergement mutualisé OVH
mycomputer.pngInstallation debian Sarge avec VMWare sous Ubuntu
Ce tutoriel vous présente comment installer debian Sarge dans une image virtuelle avec VMWare Player sous Ubuntu Linux
cdcopy.pngMettre à jour debian etch 4.0 vers debian lenny 5.0
Ce mini tutoriel vous explique comment mettre à jour votre distribution stable debian de etch 4.0 à lenny 5.0
cal.pngCorriger l'erreur mysql Table './bacula/File' is marked as crashed and should be repaired avec myisamchk sous linux debian
Ce tutoriel vous présente comment réparer une table mysql crashée au format myisam avec l'utilitaire myisamchk
mail_generic.pngProblème à l'installation d'Exim4 : Could not perform immediate configuration on 'exim4-daemon-light'. sous Linux Debian
Il peut arriver que vous rencontriez un problème lors de l'installation d'Exim4, une erreur du style : Could not perform immediate configuration on 'exim4-daemon-light'.